# Pyserini Release Notes (v0.12.0)

**Release date: May 5, 2021**

+ Added dense retrieval support for DistilBERT KD, SBERT, and ANCE.
+ Added support for KILT, including integration tests.
+ Added support for pre-tokenized collections and tokenization using sentencepiece and other models.
+ Added support and guide to reproduce Elasticsearch multi-field experiments 
+ Added integration tests to reproduce text classification pseudo-relevance feedback experiments.
+ Added option to make cache directory configurable.
+ Improved `pyserini.fusion`.
+ Improved support on Windows.
+ Improved dense retrieval integration test cases.
+ Organized integration tests into `sparse`, `dense`, and `clprf`.
+ Refactored dense query encoders.
+ Fixed bugs related to iteration order of topics.
+ Cleaned up LTR related code.
+ Changed terminology in documentation "replicate" to "reproduce" per latest ACM policy

## Contributors (This Release)

Sorted by number of commits:

+ Jimmy Lin ([lintool](https://github.com/lintool))
+ Xueguang Ma ([MXueguang](https://github.com/MXueguang))
+ Stephanie Hu ([stephaniewhoo](https://github.com/stephaniewhoo))
+ Yuqi Liu ([yuki617](https://github.com/yuki617))
+ Arthur Chen ([ArthurChen189](https://github.com/ArthurChen189))
+ Kai Sun ([KaiSun314](https://github.com/KaiSun314))
+ Andrew Guo ([andrewyguo](https://github.com/andrewyguo))
+ Chris Kamphuis ([Chriskamphuis](https://github.com/Chriskamphuis))
+ Julie Tibshirani ([jtibshirani](https://github.com/jtibshirani))
+ Mayank Anand ([mayankanand007](https://github.com/mayankanand007))
+ Sailesh Nankani ([saileshnankani](https://github.com/saileshnankani))
+ Shengyao Zhuang ([ArvinZhuang](https://github.com/ArvinZhuang))
+ Vinay Damodaran ([vrdn-23](https://github.com/vrdn-23))
+ Yuxuan Ji ([yuxuan-ji](https://github.com/yuxuan-ji))
+ Calvin Wang ([printfCalvin](https://github.com/printfCalvin))
   
## All Contributors

Sorted by number of commits, [according to GitHub](https://github.com/castorini/pyserini/graphs/contributors):

+ Jimmy Lin ([lintool](https://github.com/lintool))
+ Xueguang Ma ([MXueguang](https://github.com/MXueguang))
+ Johnson Han ([x65han](https://github.com/x65han))
+ Yuqi Liu ([yuki617](https://github.com/yuki617))
+ Stephanie Hu ([stephaniewhoo](https://github.com/stephaniewhoo))
+ Chris Kamphuis ([Chriskamphuis](https://github.com/Chriskamphuis))
+ Zeynep Akkalyoncu Yilmaz ([zeynepakkalyoncu](https://github.com/zeynepakkalyoncu))
+ Xinyu Mavis Liu ([x389liu](https://github.com/x389liu))
+ Pepijn Boers ([PepijnBoers](https://github.com/PepijnBoers))
+ Ronak Pradeep ([ronakice](https://github.com/ronakice))
+ Hang Cui ([HangCui0510](https://github.com/HangCui0510))
+ Qing Guo ([qguo96](https://github.com/qguo96))
+ Tommaso Teofili ([tteofili](https://github.com/tteofili))
+ Kai Sun ([KaiSun314](https://github.com/KaiSun314))
+ Marko Arezina ([mrkarezina](https://github.com/mrkarezina))
+ Arthur Chen ([ArthurChen189](https://github.com/ArthurChen189))
+ Dahlia Chehata ([Dahlia-Chehata](https://github.com/Dahlia-Chehata))
+ Rodrigo Nogueira ([rodrigonogueira4](https://github.com/rodrigonogueira4))
+ Larry Li ([larryli1999](https://github.com/larryli1999))
+ Jiarui Zhang ([jrzhang12](https://github.com/jrzhang12))
+ Yuxuan Ji ([yuxuan-ji](https://github.com/yuxuan-ji))
+ Tim Hatch ([thatch](https://github.com/thatch))
+ Alireza Mirzaeiyan ([amirzaeiyan](https://github.com/amirzaeiyan))
+ Julie Tibshirani ([jtibshirani](https://github.com/jtibshirani))
+ Adam Yang ([adamyy](https://github.com/adamyy))
+ Mayank Anand ([mayankanand007](https://github.com/mayankanand007))
+ Vinay Damodaran ([vrdn-23](https://github.com/vrdn-23))
+ Yue Zhang ([nsndimt](https://github.com/nsndimt))
+ Calvin Wang ([printfCalvin](https://github.com/printfCalvin))
+ Sailesh Nankani ([saileshnankani](https://github.com/saileshnankani))
+ Rakeeb Hossain ([rakeeb123](https://github.com/rakeeb123))
+ Jerry Huang ([jhuang265](https://github.com/jhuang265))
+ Jeffrey Chen ([JeffreyCA](https://github.com/JeffreyCA))
+ Shengyao Zhuang ([ArvinZhuang](https://github.com/ArvinZhuang))
+ Andrew Guo ([andrewyguo](https://github.com/andrewyguo))
+ Hector (Xinhai) Wei ([HEC2018](https://github.com/HEC2018))
+ Emily Ye ([yemiliey](https://github.com/yemiliey))
